Bug 118382 - xinput needs to support IIIMF and newer X Input methods
xinput needs to support IIIMF and newer X Input methods
Product: Fedora
Classification: Fedora
Component: xinitrc (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
Reported: 2004-03-15 23:38 EST by Jens Petersen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.36
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-16 10:23:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2004-03-15 23:38:36 EST
Description of problem:
In Fedora Core 2 we're moving to iiimf as the default Input
Method for CJK and other Asian/Indic languages too.  Since
it is a new IM, xinitrc currently doesn't have support for it.
Also xinput doesn't currently support newer XIM clients like
nabi and uim.

Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. Start a X session in a CJK locale with FC devel.
2. Start a gtk app and press Ctrl-Space.
3. Start a XIM app and press Ctrl-Space.
Actual results:
2. Nothing happens.
3. Nothing happens.

Expected results:
2. IIIMF turned on.
3. IIIMF XIM bridge turned on.
Comment 1 Mike A. Harris 2004-03-16 10:23:04 EST
Fixed in xinitrc 3.36

Note You need to log in before you can comment on or make changes to this bug.